% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CLcalc.R
\name{CLcalc}
\alias{CLcalc}
\title{CLcalc:
Calculate customized centiles of cervical length according to the PRB/NICHD standard curve}
\usage{
CLcalc(data, saveToFile = F, filename = "CervicalCentiles.csv")
}
\arguments{
\item{saveToFile}{: Logical value indicating whether or not to export the data to a  comma-separated values (CSV) file.}

\item{data:}{A data frame with the following columns:

    GA: Gestational Age (weeks)

    Weight: Maternal Weight (kg) between 34 kg and 195 kg.

    Height: Maternal Height (cm) between 124 cm and 195 cm

    Parity: Number of previous deliveries (Whole number).

    CL: Cervical length (mm)}

\item{filename:}{Name of the CSV file; Only required if saveToFile = TRUE.}
}
\value{
The input data frame with additional columns for the reference centiles (5, 10, 50, 90 and 95) and the percentile of the cervical lengths.
}
\description{
This package provides functionality to calculate the customized percentile
 of cervical length.
}
\examples{
# Generate sample data
data=data.frame(GA=c(13,15,17),WEIGHT=c(47.63,70.31,99.34),
HEIGHT=c(147.32,160,167.64),PARITY=c(2,0,1),CL=c(50,53,42))
# Compute the  centile of the cervical length for the sample data
 CLcalc(data)

}
\references{

}
